summaryrefslogtreecommitdiffstats
path: root/vendor/vcpkg/setup_vcp.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-18 02:49:50 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-18 02:49:50 +0000
commit9835e2ae736235810b4ea1c162ca5e65c547e770 (patch)
tree3fcebf40ed70e581d776a8a4c65923e8ec20e026 /vendor/vcpkg/setup_vcp.sh
parentReleasing progress-linux version 1.70.0+dfsg2-1~progress7.99u1. (diff)
downloadrustc-9835e2ae736235810b4ea1c162ca5e65c547e770.tar.xz
rustc-9835e2ae736235810b4ea1c162ca5e65c547e770.zip
Merging upstream version 1.71.1+dfsg1.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'vendor/vcpkg/setup_vcp.sh')
-rw-r--r--vendor/vcpkg/setup_vcp.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/vendor/vcpkg/setup_vcp.sh b/vendor/vcpkg/setup_vcp.sh
new file mode 100644
index 000000000..7385329a4
--- /dev/null
+++ b/vendor/vcpkg/setup_vcp.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# This script can be sourced to ensure VCPKG_ROOT points at a bootstrapped vcpkg repository.
+# It will also modify the environment (if sourced) to reflect any overrides in
+# vcpkg triplet used neccesary to match the semantics of vcpkg-rs.
+
+if [ "$VCPKG_ROOT" == "" ]; then
+ echo "VCPKG_ROOT must be set."
+ exit 1
+fi
+
+# Bootstrap ./vcp if it doesn't already exist.
+if [ ! -d "$VCPKG_ROOT" ]; then
+ echo "Bootstrapping ./vcp for systest"
+ pushd ..
+ git clone https://github.com/microsoft/vcpkg.git vcp
+ cd vcp
+ if [ "$OS" == "Windows_NT" ]; then
+ ./bootstrap-vcpkg.bat
+ else
+ ./bootstrap-vcpkg.sh
+ fi
+
+ popd
+fi
+
+# Override triplet used if we are on Windows, as the default there is 32bit
+# dynamic, whereas on 64 bit vcpkg-rs will prefer static with dynamic CRT
+# linking.
+if [ "$OS" == "Windows_NT" -a "$PROCESSOR_ARCHITECTURE" == "AMD64" ] ; then
+ export VCPKG_DEFAULT_TRIPLET=x64-windows-static-md
+fi